# Summarize Document

After a document is uploaded, you can get a summary of the document. `summarize_document()` method returns a plain-text summary of the document.

{% tabs %}
{% tab title="HTTP" %}

```
POST /docs/summary HTTP/1.1
Api-Key: my_api_key
Content-Type: application/json
Host: my_account_id.us-west-2.aws.chatbees.ai

{
  "namespace_name": "string",
  "collection_name": "string",
  "doc_name": "string"
}

Response:
{
  "summary": "string"
}

```

{% endtab %}

{% tab title="Python" %}

```
import chatbees as cb

# Configure API key
cb.init(api_key="my_api_key", account_id="my_account_id")

summary = cb.collection('llm_research').summarize_document('file.pdf')
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatbees.ai/chatbees/api-references/document-operations/summarize-document.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
